#### ArticulationEvent

Adds an articulation marking to a note.

Syntax: note `X` `Y`, where X is a direction (up `^`, down `_`, or LilyPond's choice (no direction specified)), and where Y is an articulation (such as `-.`, `->`, `\tenuto`, `\downbow`). See the user manual for details.

Music types: general-music, event, articulation-event and script-event

Accepted by: Script_engraver, Swallow_engraver and Swallow_performer

Properties:

`name` (symbol):
  `'ArticulationEvent`

  Name of this music object

`internal-class-name` (string):
  `Event`

  C++ class to use for this Music object

`types` (list):
  `'(general-music event articulation-event script-event)`

  The types of this music object; determines by what engraver this music expression is processed.

Read comments on this page, or add one. This page is for LilyPond-2.2.2 (stable-branch).